Browse code

pkg/kamailio/obs: Updated libevent2 deps for CentOS 6 dist [skip ci]

Sergey Safarov authored on 13/06/2019 23:00:09
Showing 1 changed files
... ...
@@ -108,12 +108,12 @@
108 108
 %bcond_with cnxcc
109 109
 %bcond_without dnssec
110 110
 %bcond_without geoip
111
-%bcond_with http_async_client
111
+%bcond_without http_async_client
112 112
 %bcond_without ims
113
-%bcond_with jansson
114
-%bcond_with json
113
+%bcond_without jansson
114
+%bcond_without json
115 115
 %bcond_without lua
116
-%bcond_with kazoo
116
+%bcond_without kazoo
117 117
 %bcond_without memcached
118 118
 %bcond_with mongodb
119 119
 %bcond_without perl
... ...
@@ -311,8 +311,14 @@ like Asteriskâ„¢, FreeSWITCHâ„¢ or SEMS.
311 311
 %package    acc_json
312 312
 Summary:    Account transaction information in a JSON dictionary
313 313
 Group:      %{PKGGROUP}
314
-Requires:   libevent, kamailio = %ver
314
+Requires:   kamailio = %ver
315
+%if 0%{?rhel} == 6
316
+Requires:   libevent2
317
+BuildRequires:  libevent2-devel
318
+%else
319
+Requires:   libevent
315 320
 BuildRequires:  libevent-devel
321
+%endif
316 322
 %if 0%{?suse_version}
317 323
 Requires:   libjansson
318 324
 BuildRequires:  libjansson-devel
... ...
@@ -488,8 +494,14 @@ Compressed body (SIP and HTTP) handling for kamailio.
488 494
 %package    http_async_client
489 495
 Summary:    Async HTTP client module for Kamailio
490 496
 Group:      %{PKGGROUP}
491
-Requires:   libevent, kamailio = %ver
492
-BuildRequires: libevent-devel
497
+Requires:   kamailio = %ver
498
+%if 0%{?rhel} == 6
499
+Requires:   libevent2
500
+BuildRequires:  libevent2-devel
501
+%else
502
+Requires:   libevent
503
+BuildRequires:  libevent-devel
504
+%endif
493 505
 %if 0%{?suse_version}
494 506
 Requires:   libcurl4
495 507
 BuildRequires:  libcurl-devel
... ...
@@ -534,8 +546,14 @@ IMS modules and extensions module for Kamailio.
534 546
 %package    jansson
535 547
 Summary:    JSON string handling and RPC modules for Kamailio using JANSSON library
536 548
 Group:      %{PKGGROUP}
537
-Requires:   libevent, kamailio = %ver
549
+Requires:   kamailio = %ver
550
+%if 0%{?rhel} == 6
551
+Requires:   libevent2
552
+BuildRequires:  libevent2-devel
553
+%else
554
+Requires:   libevent
538 555
 BuildRequires:  libevent-devel
556
+%endif
539 557
 %if 0%{?suse_version}
540 558
 Requires:   libjson-c2
541 559
 BuildRequires:  libjansson-devel
... ...
@@ -553,8 +571,14 @@ JSON string handling and RPC modules for Kamailio using JANSSON library.
553 571
 %package    json
554 572
 Summary:    JSON string handling and RPC modules for Kamailio
555 573
 Group:      %{PKGGROUP}
556
-Requires:   libevent, kamailio = %ver
574
+Requires:   kamailio = %ver
575
+%if 0%{?rhel} == 6
576
+Requires:   libevent2
577
+BuildRequires:  libevent2-devel
578
+%else
579
+Requires:   libevent
557 580
 BuildRequires:  libevent-devel
581
+%endif
558 582
 %if 0%{?suse_version}
559 583
 Requires:   libjson-c2
560 584
 BuildRequires:  libjson-c-devel
... ...
@@ -572,8 +596,15 @@ JSON string handling and RPC modules for Kamailio.
572 596
 %package    kazoo
573 597
 Summary:    Kazoo middle layer connector support for Kamailio
574 598
 Group:      %{PKGGROUP}
575
-Requires:   libuuid, librabbitmq, json-c, libevent, kamailio = %ver
576
-BuildRequires:  libuuid-devel, librabbitmq-devel, json-c-devel, libevent-devel
599
+Requires:   libuuid, librabbitmq, json-c, kamailio = %ver
600
+BuildRequires:  libuuid-devel, librabbitmq-devel, json-c-devel
601
+%if 0%{?rhel} == 6
602
+Requires:   libevent2
603
+BuildRequires:  libevent2-devel
604
+%else
605
+Requires:   libevent
606
+BuildRequires:  libevent-devel
607
+%endif
577 608
 
578 609
 %description    kazoo
579 610
 Kazoo module for Kamailio.